# INI file for RapiDAQ
# This file should reside in the same directory as RQ.DLL.
# The DLL reads this file to check for default values, which override the
# hard-coded defaults if they are defined in this file.
# i.e. if no INI file is found or if the file does not have a particular value
# defined then the hard-coded default is used, otherwise the value in the file
# is used.
# This file is normally supplied with all of the hard-coded values present but
# commented out.  If you need to change one of the defaults you can do so here
# and uncomment it (remove the leading '#')

# NB the purpose of this file is to override the default startup settings so that
# the RapiDAQ card will start up in a sane condition.  The application should then
# configure the card as needed.  Generally you should not change the values in this
# file as an alternative to setting up the card via the RapiDAQ API.

[RQ]

# Note FPGA version numbers may be expressed here in decimal or hex using the prefix 0x
# these are used to generate the filename of the FPGA image
# e.g. RQdef_DSPversion=0x123 causes the FPGA image named DSP_V123.BIN to be used
# This SDK does not support firmware created before Oct 06.
#RQdef_DSPversion=0x226
#RQdef_PERversion=0x21f
# Tom's version at Baoti - won't work with this SDK due to not storing encoder data.
#RQdef_DSPversion=0x21c
#RQdef_PERversion=0x21a


#RQdef_RepetitionRate=5000

# Controls logging to C:\log.txt
# Log levels are:
# 0 none,   // Don't display any log messages
# 1 emerg,   //     system is unusable
# 2 alert,   //     action must be taken immediately
# 3 crit,    //     critical conditions
# 4 err,     //     error conditions.  EG an SDK call returns false
# 5 warning, //     warning conditions EG HLPRX set range clamped
# 6 notice,  //     normal, but significant, condition
# 7 info,    //     informational message
# 8 debug,   //     debug-level message
# Write to C:\log.txt
RQdef_FileLogLevel=5
# Write to the log that may be accessible through the application that is using the SDK
RQdef_AppLogLevel=7
# Write to a call to OutputDebugString to view message in Visual Studio debugger
RQdef_DebuggerLogLevel=8


# March 07 - InspectionWare sets the range from a property on the RapiDAQ-PRX A-scan.
# this value is therefore overwritten by the InspectionWare property.
# Analogue Input voltage ranges are:
#	RQ_AG100mV,
#	RQ_AG200mV,
#	RQ_AG500mV,
#	RQ_AG1V,
#	RQ_AG2V,
#	RQ_AG5V
#RQdef_AnalogueInputRange = 1


# DC offset from -1024 to 1024 - relative to calibrated value.
# If the input range is changed, this value will be overwritten.
# for IW, default input range is 200mV, so make sure the range above is set to 1 or DC offset will
# be overwritten as IW starts.
# If A DC offset needs to be applied to another analogue input range, set BOTH the RQdef_AnalogueInputRange above 
# AND the InspectionWare property of the workspace that is loaded on startup to the required range.  The
# zero offset and analogue range will then be applied correctly.
#RQdef_DCOffset= 0

# Aperture sizes are:
# 0 - 8-element aperture
# 1 - 16-element aperture
# 2 - 24-element aperture
# 3 - 32-element aperture
# This is ignored for sequence-mode (PRX) operation
#RQdef_ApertureSize=0

# This determines the initial value for the Peripheral Hardware Control register
# The default 0x0010e08a selects analogue input 0 with a 1M input impedance
#RQdef_PeripheralRegister=0x0010e08a
#RQdef_DiagnosticsFilename=RQ_Diag.txt

#RQdef_GainTweakMinus20=0
#RQdef_GainTweakMinus40=0
#RQdef_GainTweakPlus20=0

#######################################################################################################
#RQdef_SonatestSerialMux=0 - Use the Sonatest external MUX on RS232 as designed by Jason Morgan Feb 07
# 0 = Don't use the Mux.  
# 1 = Send commands without waiting for ack (Not recommended).
# 2 = Send commands and check for response, resend if neccessary.
RQdef_SonatestSerialMux=0

# Gain from -20 to +40 dB for each channel of the MUX
RQdef_SonatestSerialMuxGain1=40
RQdef_SonatestSerialMuxGain2=40
RQdef_SonatestSerialMuxGain3=+40
RQdef_SonatestSerialMuxGain4=40
RQdef_SonatestSerialMuxGain5=40
RQdef_SonatestSerialMuxGain6=40
RQdef_SonatestSerialMuxGain7=40
RQdef_SonatestSerialMuxGain8=40

# 1 Mhz  high pass filter for each channel.  0 = filter off, 1 = filter on.
RQdef_SonatestSerialMuxFilter1=0
RQdef_SonatestSerialMuxFilter2=0
RQdef_SonatestSerialMuxFilter3=0
RQdef_SonatestSerialMuxFilter4=0
RQdef_SonatestSerialMuxFilter5=0
RQdef_SonatestSerialMuxFilter6=0
RQdef_SonatestSerialMuxFilter7=0
RQdef_SonatestSerialMuxFilter8=0
# Clamp voltage to this level - 170 is current max safe value.
RQdef_SonatestSerialMuxVoltageClamp=170

#######################################################################################################
